Package org.duckdb

# Class DuckDBColumnTypeMetaData

java.lang.Object
org.duckdb.DuckDBColumnTypeMetaData

public class DuckDBColumnTypeMetaData extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`final short`
`scale`
`final short`
`type_size`
`final short`
`width`

## Constructor Summary

Constructors
Constructor
Description
`DuckDBColumnTypeMetaData(short type_size, short width, short scale)`

## Method Summary

Modifier and Type
Method
Description
`static DuckDBColumnTypeMetaData`
`parseColumnTypeMetadata(String columnTypeDetail)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### type_size

public final short type_size

### width

public final short width

### scale

public final short scale

## Constructor Details

### DuckDBColumnTypeMetaData

public DuckDBColumnTypeMetaData(short type_size, short width, short scale)

## Method Details

### parseColumnTypeMetadata

public static DuckDBColumnTypeMetaData parseColumnTypeMetadata(String columnTypeDetail)